﻿<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp2.2</TargetFramework>
    <RuntimeIdentifiers>win10-x64</RuntimeIdentifiers>
    <ApplicationInsightsResourceId>/subscriptions/9214d68a-bbba-4e9e-b493-54dc108e9f5e/resourcegroups/MessageDispatcher.Host.Api/providers/microsoft.insights/components/MessageDispatcher.Host.Api</ApplicationInsightsResourceId>
    <ApplicationInsightsAnnotationResourceId>/subscriptions/9214d68a-bbba-4e9e-b493-54dc108e9f5e/resourcegroups/MessageDispatcher.Host.Api/providers/microsoft.insights/components/MessageDispatcher.Host.Api</ApplicationInsightsAnnotationResourceId>
  </PropertyGroup>


  <ItemGroup>
    <PackageReference Include="Autofac" Version="4.8.1" />
    <PackageReference Include="Autofac.Extensions.DependencyInjection" Version="4.3.1" />
    <PackageReference Include="Hangfire" Version="1.6.21" />
    <PackageReference Include="Hangfire.Mongo" Version="0.5.12" />
    <PackageReference Include="Microsoft.AspNetCore.App" />
    <PackageReference Include="Microsoft.AspNetCore.Hosting.WindowsServices" Version="2.2.0-preview3-35497" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="2.2.0-preview3-35497" />
    <PackageReference Include="Newtonsoft.Json" Version="11.0.2" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="4.0.1" />
    <PackageReference Include="Swashbuckle.AspNetCore.Swagger" Version="4.0.1" />
  </ItemGroup>


  <ItemGroup>
    <ProjectReference Include="..\MessageDispatcher.Api\MessageDispatcher.Api.csproj" />
  </ItemGroup>
  <ItemGroup>
    <WCFMetadata Include="Connected Services" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

</Project>
